 UNIT UnConTyp ;
 INTERFACE
 Const
   JD2000   = 2451545.0 ;
   JulianC  =   36525.0 ;
   DifEpoch = 2400000.5 ;
 Const
   GaussConst       = 0.0172020989500000e0 ;
                   { in AstrUnit**3/((Ephemer.Day**2)*MassOfSun if in Sqr }
   CavendishConst   = 6.672e-20 ;     { in km**3/(kg*s**2) }
   AstrUnit         = 1.49597870691e8 ;  { in km }
   VelOfLight       = 299792.4580 ;   { in km/s }
 Const
   GeoFM    : Extended  = 3.98600448e5 ; { km**3/s**2 }
   GeoR0    : Extended  = 6.37814000e3 ; { km }
 Const
   GraRad   = Pi / 180 ;
   RadGra   = 180 / Pi ;
   SecRad   = GraRad / 3600 ;
   RadSec   = 3600 / GraRad ;
 Type
   TVect3    = Array [1..3] of Extended ;
   TMatr33   = Array [1..3] of TVect3 ;
   TypeDim3  = TVect3 ;
   TFundArg  = Array [1..14] of Extended ;
 Const
   maxp  = 777 ;
 Type
   TPol  = Array[0..maxp] of Extended ;
 IMPLEMENTATION
 END.
