 UNIT UnForPrt ; { for simple Text files }
 INTERFACE
 Var
   PrtFile  : Text ;
   ResFile  : Text ;
   RezFile  : Text ;
   RomFile  : Text ;
 Procedure ToOpenPrtFile ( str  : String ) ;
 Procedure ToClosePrtFile ;
 Procedure ToOpenResFile ( str  : String ) ;
 Procedure ToCloseResFile ;
 Function BooExistResult ( str  : String ) : Boolean ;
 Procedure ToReSetPosVelFile ; { for Text file variable  RomFile }
 IMPLEMENTATION
 Procedure ToOpenPrtFile ( str  : String ) ;
 Begin
   Assign(PrtFile,str);
 {$I-}
   ReWrite(PrtFile);
 {$I+}
   If  IOResult <> 0
     Then
       Begin
         Assign(PrtFile,'NUL');
         ReWrite(PrtFile);
       End;
 End;
 Procedure ToClosePrtFile ;
 Begin
   Close(PrtFile);
 End;
 Procedure ToOpenResFile ( str  : String ) ;
 Begin
   Assign(ResFile,str);
 {$I-}
   ReWrite(ResFile);
 {$I+}
   If  IOResult <> 0
     Then
       Begin
         Assign(ResFile,'NUL');
         ReWrite(ResFile);
       End;
 End;
 Procedure ToCloseResFile ;
 Begin
   Close(ResFile);
 End;
 Function BooExistResult ( str  : String ) : Boolean ;
 Begin
   BooExistResult:=FALSE;
   If  str = 'NUL'  Then  Exit ;
   Assign(RezFile,str);
 {$I-}
   ReSet(RezFile);
 {$I+}
   If  IOResult = 0
     Then { file with the name  str  exists }
       Begin
         BooExistResult:=TRUE;
         Close(RezFile);
       End;
 End;
 { to reset file with numerical integration results to start to read }
 Procedure ToReSetPosVelFile ; { for Text file variable  RomFile }
 Var
   sc  : String ;
 Begin
   ReSet(RomFile);
   Repeat
     ReadLn(RomFile,sc);
   Until ( Pos('step by step numeric',sc) > 0 ) ;
 End ;
 END.