
 { to calculate right the values of the Legandre polinoms Pn(x)
   for any value x by using recurent formula without analytic operations }

 UNIT UnPolega ;

 INTERFACE

 Procedure TheSameButRight ;

 Procedure ProductButRight ;

 IMPLEMENTATION

 Uses
   UnForPrt ,
   UnConTyp ; { for maxp global }

 { by the use recurent formula
   n*Pn(z)=(2*n-1)*z*P(n-1)(z)-(n-1)*P(n-2)(z),  P0(z)=1, P1(z)=z }

 Procedure TheSameButRight ;
 Var
   i,n  : word ;
   q,r  : Extended ;
   x,p0,p1,p2  : Array[1..2] of Extended ;
 Begin
   x[1]:=+1.0; { two value for x }
   x[2]:=-1.0;
   WriteLn(PrtFile,' accurate formulae Pn(+1)=+1 , Pn(-1)=(-1)^n');
   For i:=1 To 2 Do
     Begin { initial value for the Legandre polinoms }
       p0[i]:=1;
       p1[i]:=x[i];
     End;
   For n:=2 To maxp Do { UnConTyp global }
     Begin
       q:=n;
       r:=1.0/q;
       For i:=1 To 2 Do
         p2[i]:=(2*q-1)*r*x[i]*p1[i]-(q-1)*r*p0[i]; { recurent formula }
       WriteLn(PrtFile,n:4,x[1]:5:1,p2[1]:24:18,x[2]:10:1,p2[2]:24:18);
       For i:=1 To 2 Do
         Begin
           p0[i]:=p1[i];
           p1[i]:=p2[i];
         End;
     End;
 End;

 Procedure FunctiProduct ( z , a  : extended ) ;
 Var
   nn        : word ;
   q,r       : Extended ;
   aln       : Extended ;
   va,vsum   : Extended ;
   p0,p1,p2  : Extended ;
   bo        : boolean ;
 Begin
   va:=1/Sqrt(1-2*a*z+Sqr(a));
   vsum:=1+a*z; { two terms initial }
   WriteLn(PrtFile,' alpha=',a:10:2,'  z=',z:10:2);
   writeln(prtfile,' producting function=',va:29:17);
   aln:=a;
   p0:=1; { initial value for Legandre polinom P0(x)=+1 }
   p1:=z; { initial value for Legandre polinom P1(x)=+x }
   bo:=False; { initial boolean }
   nn:=2;     { initial word }
   while  ( ( nn < maxp ) and ( not bo ) )  Do  { uncontyp global }
     Begin
       q:=nn;
       r:=1.0/q;
       p2:=(2*q-1)*r*z*p1-(q-1)*r*p0; { recurent formula }
       aln:=a*aln; { the next power for alpha }
       vsum:=vsum+aln*p2;
       bo:= ( Abs(vsum-va) < 1.0e-12 ) ; { to compare }
       if  bo  then                      { our value }
         WriteLn(PrtFile,nn:4,va:23:17,vsum:23:17,(vsum-va):25:17);
       p0:=p1;   { to replace }
       p1:=p2;   { to replace }
       nn:=nn+1; { the next polinom order }
     End;
 End;

 Procedure ProductButRight ;
 var
   z,a  : extended ;
 begin
   { value for alpha (r_0/r) }
   a:=0.96; { for alpha }
   { to calculate differencies }
   z:=1.00; { for z }
   FunctiProduct(z,a);
   z:=0.99; { for z }
   FunctiProduct(z,a);
   z:=0.95; { for z }
   FunctiProduct(z,a);
   z:=0.90; { for z }
   FunctiProduct(z,a);
   z:=0.80; { for z }
   FunctiProduct(z,a);
   z:=0.50; { for z }
   FunctiProduct(z,a);
   z:=0.20; { for z }
   FunctiProduct(z,a);
   z:=0.00; { for z }
   FunctiProduct(z,a);
   z:=-0.2; { for z }
   FunctiProduct(z,a);
   z:=-0.5; { for z }
   FunctiProduct(z,a);
   z:=-0.8; { for z }
   FunctiProduct(z,a);
   z:=-1.0; { for z }
   FunctiProduct(z,a);
 end;

 END.